Assets: undelete

Undeletes a soft-deleted Data Studio asset. Returns the restored asset.

Request

HTTP request

POST https://datastudio.googleapis.com/v1/assets/{assetName}:undelete

Path parameters

Parameter name Type Description
assetName string The name (ID) of the asset.

Authorization

This request requires authorization with the following scope:

Scope
https://www.googleapis.com/auth/datastudio

Request body

Do not supply a request body with this method.

Response

If successful, this method returns the restored Asset object.